DBusTransportSocket Struct Reference
D-Bus secret internal implementation details » DBusTransport implementations for sockets

Implementation details of DBusTransportSocket. More...

## Data Fields

DBusTransport | base
| Parent instance.
DBusSocket | fd
| File descriptor.
DBusWatch * | read_watch
| Watch for readability.
DBusWatch * | write_watch
| Watch for writability.
int | max_bytes_read_per_iteration
| To avoid blocking too long.
int | max_bytes_written_per_iteration
| To avoid blocking too long.
int | message_bytes_written
| Number of bytes of current outgoing message that have been written.
DBusString | encoded_outgoing
| Encoded version of current outgoing message.
DBusString | encoded_incoming
| Encoded version of current incoming data.

## Detailed Description

Implementation details of DBusTransportSocket.

All members are private.

Definition at line 54 of file dbus-transport-socket.c.

## Field Documentation

## base

DBusTransport DBusTransportSocket::base

Parent instance.

Definition at line 56 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## encoded_incoming

DBusString DBusTransportSocket::encoded_incoming

Encoded version of current incoming data.

Definition at line 71 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## encoded_outgoing

DBusString DBusTransportSocket::encoded_outgoing

Encoded version of current outgoing message.

Definition at line 68 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## fd

DBusSocket DBusTransportSocket::fd

File descriptor.

Definition at line 57 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## max_bytes_read_per_iteration

int DBusTransportSocket::max_bytes_read_per_iteration

To avoid blocking too long.

Definition at line 61 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## max_bytes_written_per_iteration

int DBusTransportSocket::max_bytes_written_per_iteration

To avoid blocking too long.

Definition at line 62 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## message_bytes_written

int DBusTransportSocket::message_bytes_written

Number of bytes of current outgoing message that have been written.

Definition at line 64 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## read_watch

DBusWatch* DBusTransportSocket::read_watch

Watch for readability.

Definition at line 58 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## write_watch

DBusWatch* DBusTransportSocket::write_watch

Watch for writability.

Definition at line 59 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

The documentation for this struct was generated from the following file:

- dbus-transport-socket.c